#
# spec file for package pine (Version 4.44)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  automake cyrus-sasl cyrus-sasl-devel openldap2 openldap2-client openldap2-devel openssl openssl-devel
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib cyrus-sasl-devel gcc gdbm gettext heimdal-lib libtool libz openldap2 openldap2-client openldap2-devel openssl openssl-devel pam perl rpm

Name:         pine
License:      Other License(s), see package
Group:        Productivity/Networking/Email/Clients
Provides:     pine4
Autoreqprov:  on
Version:      4.44
Release:      281
Summary:      The mail program Pine
URL:          http://www.washington.edu/pine
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       ftp://ftp.cac.washington.edu/pine/pine%{version}.tar.bz2
Source1:      body.html
Source2:      fancy.html
Source3:      fillpara.html
Source4:      insertpat.html
Source5:      newmessages.html
Patch0:       pine%{version}.dif
Patch1:       urlquote.patch
Patch2:       body.patch
Patch3:       fillpara.patch
Patch4:       newmessages.patch
Patch5:       insertpat.patch
Patch6:       fancy.patch
Patch7:       flags.patch
Patch8:       quote.patch
Patch9:       filterbug.patch
Patch10:      pine-%{version}-maildir.patch
Patch11:      pine-%{version}-overflow.patch
Patch12:      pine-from-header-bufferoverlow.patch
Patch13:      pine4.56-securitypatch-sep-2003.patch

%description
A menu-driven user mail program. Originally based on Elm (Pine Is
No-longer Elm), but with many additional features that make it
easier to use.

Version 4 adds the following features:

- color support

- New screen navigation commands

- Hierarchical folder collections

- URL recognition and viewer dispatch

- Basic rendering of message bodies in HTML format

- Help screens with hyperlinks

- Various other improvements (Adressbook, MIME, IMAP4, LDAP)

Authors:
--------
    Mike Seibel <mikes@cac.washington.edu>
    Steve Hubert <hubert@cac.washington.edu>
    Laurence Lundblade <lgl@cac.washington.edu>

SuSE series: n

%package -n pico
Summary:      Small, easy to use editor
Group:        Productivity/Editors/Other
Autoreqprov:  on
Version:      4.44
Release:      281

%description -n pico
Pico is a simple, display-oriented text editor based on the Pine
message system composer. As with Pine, commands are displayed at
the bottom of the screen, and context-sensitive help is provided.
As characters are typed, they are immediately inserted into the text.

Authors:
--------
    Mike Seibel <mikes@cac.washington.edu>
    Steve Hubert <hubert@cac.washington.edu>
    Laurence Lundblade <lgl@cac.washington.edu>

SuSE series: ap

%package -n pilot
Summary:      Simple file system browser
Group:        Productivity/File utilities
Autoreqprov:  on
Version:      4.44
Release:      281

%description -n pilot
Pilot is a simple, display-oriented file system browser
based on the Pine message system composer. As with Pine,
commands are displayed at the bottom of the screen, and
context-sensitive help is provided.

Authors:
--------
    Mike Seibel <mikes@cac.washington.edu>
    Steve Hubert <hubert@cac.washington.edu>
    Laurence Lundblade <lgl@cac.washington.edu>

SuSE series: ap

%prep
%setup -n pine%{version}
%patch0
%patch1 -p1
%patch2 -p1
%patch3 -p1
# %patch4 -p1
%patch5 -p1
%patch6 -p1
# %patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%build
install -d ldap
ln -fs /usr/include ldap/include
ln -fs %{_libdir}/ ldap/libraries
case `/usr/share/automake/config.guess` in
	*-linux-gnu|*-linux)
		./build CC=gcc \
		        SSLCERTS=/usr/share/ssl/certs \
				SSLINCLUDE=/usr/include/ssl \
				SSLLIB=%{_libdir} \
				EXTRACFLAGS="$RPM_OPT_FLAGS" \
				EXTRALDFLAGS="-lsasl" \
				slx
	;;
	i?86-*-linux-*libc1)
		./build CC=gcc \
		        SSLCERTS=/usr/share/ssl/certs \
				SSLINCLUDE=/usr/include/ssl \
				SSLLIB=%{_libdir} \
				EXTRACFLAGS="$RPM_OPT_FLAGS" \
				EXTRALDFLAGS="-lsasl" \
				lnx 
	;;
esac

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/etc
install -s bin/{mtest,pine,pico,pilot,rpdump,rpload} $RPM_BUILD_ROOT%{_bindir}
install -m 644 doc/{pine.1,pico.1,pilot.1,rpdump.1,rpload.1} $RPM_BUILD_ROOT%{_mandir}/man1/
touch $RPM_BUILD_ROOT/etc/pine.conf
touch $RPM_BUILD_ROOT/etc/pine.conf.fixed
# Install some docs for the additional patches
install -m 644 %{SOURCE1} .
install -m 644 %{SOURCE2} .
install -m 644 %{SOURCE3} .
install -m 644 %{SOURCE4} .
install -m 644 %{SOURCE5} .

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%config %ghost /etc/pine.conf
%config %ghost /etc/pine.conf.fixed
%doc %{_mandir}/man1/pine.1.gz
%doc %{_mandir}/man1/rpdump.1.gz
%doc %{_mandir}/man1/rpload.1.gz
%doc CPYRIGHT *.html README
%doc doc/brochure.txt doc/mailcap.unx doc/tech-notes.txt doc/tech-notes
%{_bindir}/mtest
%{_bindir}/pine
%{_bindir}/rpdump
%{_bindir}/rpload

%files -n pico
%defattr(-, root, root)
%{_bindir}/pico
%doc %{_mandir}/man1/pico.1.gz

%files -n pilot
%defattr(-, root, root)
%{_bindir}/pilot
%doc %{_mandir}/man1/pilot.1.gz

%changelog -n pine
* Fri Sep 05 2003 - draht@suse.de
- pine4.56-securitypatch-sep-2003.patch fixes CAN-2003-0720,
  CAN-2003-0721, #30125
* Mon Nov 11 2002 - rommel@suse.de
- added security fix ("pine-from-header-bufferoverlow.patch")
  received from Thomas Biege for heap overflow in From: header parsing
* Tue May 07 2002 - rommel@suse.de
- applied pine security patch received from Thomas
  Biege on Thu, 2 May 2002 18:38:56
- requested and received an update for the fillpara.patch
  from Eduardo Chappa <chappa@math.washington.edu>
  the old patch caused a bug in pico pressing CTRL-J
  (see Bugzilla #15879)
* Thu Mar 14 2002 - rommel@suse.de
- added maildir patch from http://hico.fphil.uniba.sk/pine-patches.html
* Tue Feb 05 2002 - grimmer@suse.de
- updated fillpara.patch to fix a buglet with the justification
  algorithm (thanks to Eduardo Chappa <chappa@math.washington.edu>
  for the quick reply)
* Tue Jan 29 2002 - grimmer@suse.de
- use more macros in spec file (bindir,libdir)
* Wed Jan 23 2002 - grimmer@suse.de
- reactivated urlview.patch (thanks to Roman Drahtmller for updating
  it to Pine 4.44) - this seems to be the better solution to work
  around URL quoting problems.
* Tue Jan 22 2002 - grimmer@suse.de
- Update to version 4.44 (security fix: URL handler allowed embedded
  commands)
- disabled urlview.patch (bug has been fixed differently by upstream
  maintainers now)
- enabled mouse support
- updated body.patch and body.html
- updated fancy.patch and fancy.html
- updated fillpara.patch and added fillpara.html
- added filterbug.patch and filterbug.html (bugfix)
- updated insertpat.patch and insertpat.html
- updated newmessages.patch and added newmessages.html
* Wed Dec 12 2001 - grimmer@suse.de
- updated fancy.patch and fancy.html (fixes a crash when trying
  to delete a whole thread in non-threading mode)
- added quote.patch (extended quote detection algorithm)
* Tue Dec 11 2001 - grimmer@suse.de
- updated fancy.patch and fancy.html
* Fri Dec 07 2001 - grimmer@suse.de
- fixed permissions of fancy.html to 644 instead of 755
- fixed Copyright notice in spec file (2000 -> 2001)
- added some more docs about the added patches (body.html,
  fillpara.html, insertpat.html)
* Thu Dec 06 2001 - grimmer@suse.de
- re-diffed security patch and renamed it to urlquote.patch
* Thu Dec 06 2001 - grimmer@suse.de
- Update to version 4.43 (feature updates and bugfixes)
  see http://www.washington.edu/pine/changes.html for the
  full release chronology
- added rpdump and rpload incl. man pages to file list
- added fancy.patch from Eduardo Chappa (adds some enhanced
  thread features - see fancy.html for more info)
- Updated patchkit from Eduardo Chappa:
  * body.patch
  * fillpara.patch
  * flags.patch
  * insertpat.patch
- updated but disabled newmessages.patch and flags.patch for the
  time being (they conflict with fancy.patch)
- disabled security.path for the time being (does not apply
  anymore and needs some fixing)
- removed othercommands.patch and references.patch (bugs have
  been fixed upstream)
- reworked spec file and pine4.43.dif a bit to reflect the
  various changes in 4.43
* Tue Nov 20 2001 - ro@suse.de
- added cyrus-sasl-devel to neededforbuild
* Tue Aug 28 2001 - grimmer@suse.de
- re-added flags.patch (has been fixed by upstream maintainer)
- removed bogus hunk for imap/src/osdep/unix/Makefile.ssl from
  flags.patch
* Wed Aug 22 2001 - grimmer@suse.de
- had to remove flags.patch because it broke selection
  by status (#9829)
* Mon Aug 20 2001 - ro@suse.de
- fix path to passwd binary (/usr/bin/passwd)
* Wed Aug 01 2001 - grimmer@suse.de
- added a number of patches from Eduardo Chappa's "Patches for Pine"
  web site at http://www.math.washington.edu/~chappa/pine/
- added body.patch (enhancement, pine will search for a string only
  in the body of the message)
- added fillpara.patch (enhancement, justify paragraphs that contain
  more than one level of indentation)
- added flags.patch (enhancement, adds three additional flags to the
  index)
- added insertpat.patch (enhancement, allows you to insert the pattern
  that you searched last to be edited)
- added newmessages.patch (enhancement, get the number of new messages
  upon opening a folder)
- added othercommands.patch (bugfix, makes the "O Other Commands" not
  appear when the [X] disable-keymenu feature has been enabled)
- added references.patch (bugfix, make Pine generate the References
  header when replying to a newsgroup post
* Thu Mar 15 2001 - ro@suse.de
- added cyrus-sasl to neededforbuild
- added sasl to liblist thus finishing openldap2 port
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Mon Feb 26 2001 - uli@suse.de
- fixed for new glibc
* Mon Feb 05 2001 - grimmer@suse.de
- update to 4.33 (bugfix release) see
  http://www.washington.edu/pine/changes/4.32-to-4.33.html
  for a detailed list of fixes
* Thu Jan 18 2001 - grimmer@suse.de
- update to 4.32 (bugfix release) see
  http://www.washington.edu/pine/changes/4.31-to-4.32.html
  for a detailed list of fixes
* Wed Dec 13 2000 - grimmer@suse.de
- added OpenSSL to neededforbuild and removed NOSSL
  from build command - we now have IMAPSSL support enabled
* Thu Dec 07 2000 - grimmer@suse.de
- Update to 4.31 (bugfix release) see
  http://www.washington.edu/pine/changes/4.30-to-4.31.html
  for a detailed list of fixes
- removed now obsolete patches
- bzipped sources
- added patch to make compiling with OpenSSL possible
  by simply removing "NOSSL" from the build command and adding
  openssl and openssl-devel to #neededforbuild
* Fri Nov 17 2000 - grimmer@suse.de
- added mbx.patch to work around compile problem on SPARC
* Wed Nov 15 2000 - grimmer@suse.de
- added score.patch from
  http://www.math.washington.edu/~chappa/pine/patches/pine4.30/
  which fixes a bug that made Pine not work for filtering rules
  based on scores intervals (and possibly a current folder type).
- threading is still buggy (even with threadbug.patch) - pine
  crashes from time to time when opening folders
* Fri Nov 10 2000 - grimmer@suse.de
- added some necessary patches from the pine authors (debug.patch,
  global.patch and threadbug.patch)
* Tue Nov 07 2000 - grimmer@suse.de
- added ldaplib to to neededforbuild
* Fri Oct 27 2000 - grimmer@suse.de
- Update to 4.30
- removed Requires: smtp_deamon since pine can very well do
  without one
- added "NOSSL" option to build without SSL support
- added "mtest" to pine file list
- added CFLAGS="$RPM_OPT_FLAGS"
- changed path for pine.conf and pine.conf.fixed from /usr/lib
  to /etc for FHS compliance
* Fri Oct 06 2000 - grimmer@suse.de
- Added BuildRoot to spec file
* Wed Apr 05 2000 - schwab@suse.de
- Add missing #include <crypt.h>.
- Fix some format directives.
* Wed Mar 01 2000 - werner@suse.de
- Fix config.guess selection
* Wed Feb 16 2000 - grimmer@suse.de
- spec file cleanups (version macro, Group Tags)
- use man page macro
* Tue Dec 14 1999 - grimmer@suse.de
- added security patch from Olaf Kirch (version 4.21 did
  not completely resolve this issue)
* Tue Nov 23 1999 - grimmer@suse.de
- update to 4.21 (bugfixes) (resolves Bug #742)
* Sat Nov 06 1999 - ro@suse.de
- re-activated LDAP support
* Tue Oct 26 1999 - bs@suse.de
- switched back to recent 4.10 version.
* Mon Oct 25 1999 - grimmer@suse.de
- updated imap code to imap-4.7.BETA due to bug in message handling
* Thu Oct 14 1999 - grimmer@suse.de
- activated LDAP support
* Thu Oct 14 1999 - grimmer@suse.de
- Update to 4.20 (new functionality, bug fixes)
- Gave up on fixing pathnames in technotes.txt -> this
  document does not reflect the correct path names on
  SuSE Linux (manpage is correct, though)
* Mon Sep 20 1999 - ro@suse.de
- added requires smtp_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 06 1999 - grimmer@suse.de
- removed pine4.10.rfc822.patch because it broke IMAP4-support
* Fri Jun 25 1999 - grimmer@suse.de
- added pine4.10-security.patch and pine4.10.rfc822.patch
* Wed Mar 03 1999 - ro@suse.de
- os-lnx.ic: use raw.ios, not raw.io
  (since we're using termios instead of termio anyway)
* Fri Feb 05 1999 - grimmer@suse.de
- New version (4.10)
- disabled DEBUG-Option
* Fri Jan 15 1999 - ro@suse.de
- modified specfile to build on alpha
* Mon Dec 14 1998 - grimmer@suse.de
- Changed version numbers from pico and pilot to
  pine's version numbering
* Tue Nov 03 1998 - grimmer@suse.de
- renamed Package from pine4 to pine
- created subpackages for pico and pilot
* Tue Sep 29 1998 - grimmer@suse.de
- small modification for glibc build
- migrated Makefile.Linux-instructions into spec-file
* Mon Sep 28 1998 - grimmer@suse.de
- new version: 4.05
* Mon Sep 21 1998 - grimmer@suse.de
- new version: 4.04
* Thu Sep 10 1998 - grimmer@suse.de
- new version: 4.03
* Tue Aug 18 1998 - grimmer@suse.de
- replaced unofficial patches with pine4.02A.patch from UW
- new version: 4.02A
* Tue Aug 04 1998 - grimmer@suse.de
- added security patches posted in vendor-sec mailing list
  (MIME parsing, buffer overrun, control character leaking) from
  Pavel Kankovsky <peak@kerberos.troja.mff.cuni.cz>
- added timezone patch from Koblinger Egmont <egmont@fazekas.hu>
  posted to feedback@suse.de
* Mon Jul 27 1998 - grimmer@suse.de
- modified descriptions in Pac-Files
- added pico to package pine4
* Wed Jul 22 1998 - grimmer@suse.de
- new version 4.02
- Included CPYRIGHT in documentation
* Tue Jul 21 1998 - grimmer@suse.de
- new package (split from pine 3.xx since it is rather new and untested)
